import streamlit as st

def outstanding_members():
    
    st.title(':star: Outstanding Members :star:')
    
    st.divider()
    
    stu_sam_img, stu_sam_text = st.columns([0.3, 0.7])
    with stu_sam_img:
        st.image("./images/StudentSam.jpg", width= 200 )
    with stu_sam_text:
        st.header("[Sam Packer](https://sampacker.com/)")
        st.subheader("2025 CIS Graduate")
        st.subheader("2025 BuffTeks Club Leadership Award")

    st.markdown("""
                 "_I have enjoyed being a part of BuffTeks and it has been one of my most meaningful experiences during my time at WTAMU._
                _It gave me the opportunity to share things I’ve learned and to grow by helping others. I had the opportunity to give two guest lectures: one over deploying Caddy on a Linux cloud server and introducing students to Astro, a modern web development framework._ 
                _Preparing and presenting these topics helped me develop my communication skills and furthered my passion for teaching and helping others. BuffTeks connects students with a wide range of skills and creates a space where we can all learn from each other and explore our shared passion for technology._ 
                _I am grateful for the friendships, opportunities, and memories that BuffTeks has provided._"
        """)
    st.divider()
    
    stu1_img, stu1_text = st.columns([0.3, 0.7])
    with stu1_img:
        st.image("./images/StudentDarrian.jpg", width= 200 )
    with stu1_text:
        st.header("Darrian Lambert")
        st.subheader("2024 CIS Graduate")
        st.subheader("2024 BuffTeks Club Leadership Award")

    st.markdown("""
            "_Bufftek has been a fantastic experience for me. It gave me the opportunity to apply the skills I’ve learned in class to real-world problems and work alongside others to develop effective software solutions. Through this, I gained hands-on experience with skills that are difficult to practice on your own._
            
            _Some key areas of growth include working with other developers on the same project, managing tasks and branches to avoid conflicting changes, and testing and reviewing pull requests to ensure high-quality merges. I also learned how to collaborate with team members to choose the best technologies for each project and pitch a piece of software using a prototype to stakeholders._
            
            _The problems I faced throughout the project ranged from finding solutions to everyday inconveniences like finding parking, to developing software for community support. This gave me practice in every phase of developing software from early research and planning, to designing the structure of the application, to building the application, to further refinement and improvement on the application. Overall, it’s been a great experience that I’d recommend to anyone wanting to get into software development or similar fields after graduation._"
        
        """)


    st.divider()
    
    stu2_img, stu2_text = st.columns([0.3, 0.7])
    with stu2_img:
        st.image("./images/StudentKim.jpg",width= 200 )
    with stu2_text:
        st.header("Kim Sundblom")
        st.subheader("2024 CIS Graduate")
    

    st.markdown("""
    _"Bufftek is amazing, as it has given me practical experience with a range of technologies while improving my teamwork and communication skills. I truly feel the club has been instrumental in boosting my confidence and preparing me for my future career by providing a supportive environment where I can apply my skills, seek guidance, and work on collaborative projects with other members. I'm really glad I stepped out of my comfort zone and joined, as it has been an extremely rewarding experience!"_
    """)